Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 991138 - [abrt] claws-mail-3.9.2-3.fc19: parasite_python_init: Process /usr/bin/claws-mail was killed by signal 5 (SIGTRAP)
Summary: [abrt] claws-mail-3.9.2-3.fc19: parasite_python_init: Process /usr/bin/claws-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3374f90e546a5d746f332ab5f27...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-01 17:22 UTC by Mark Knoop
Modified: 2013-08-19 21:23 UTC (History)
3 users (show)

Fixed In Version: claws-mail-3.9.2-7.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-19 21:23:32 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-08-01 17:22 UTC, Mark Knoop
no flags Details
File: cgroup (deleted)
2013-08-01 17:22 UTC, Mark Knoop
no flags Details
File: core_backtrace (deleted)
2013-08-01 17:22 UTC, Mark Knoop
no flags Details
File: dso_list (deleted)
2013-08-01 17:22 UTC, Mark Knoop
no flags Details
File: environ (deleted)
2013-08-01 17:23 UTC, Mark Knoop
no flags Details
File: limits (deleted)
2013-08-01 17:23 UTC, Mark Knoop
no flags Details
File: maps (deleted)
2013-08-01 17:23 UTC, Mark Knoop
no flags Details
File: open_fds (deleted)
2013-08-01 17:23 UTC, Mark Knoop
no flags Details
File: proc_pid_status (deleted)
2013-08-01 17:23 UTC, Mark Knoop
no flags Details
File: var_log_messages (deleted)
2013-08-01 17:23 UTC, Mark Knoop
no flags Details

Description Mark Knoop 2013-08-01 17:22:30 UTC
Description of problem:
claws-mail-plugins-python crashes claws-mail if it can't find /usr/lib64/libpython2.7.so 

This symlink is provided by python-devel which claws-mail-plugins-python does not require.

Version-Release number of selected component:
claws-mail-3.9.2-3.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        claws-mail
crash_function: parasite_python_init
executable:     /usr/bin/claws-mail
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #2 parasite_python_init at python-hooks.c:139
 #3 plugin_init at python_plugin.c:565
 #4 plugin_load at plugin.c:514
 #5 plugin_load_all at plugin.c:618

Comment 1 Mark Knoop 2013-08-01 17:22:46 UTC
Created attachment 781675 [details]
File: backtrace

Comment 2 Mark Knoop 2013-08-01 17:22:48 UTC
Created attachment 781676 [details]
File: cgroup

Comment 3 Mark Knoop 2013-08-01 17:22:53 UTC
Created attachment 781677 [details]
File: core_backtrace

Comment 4 Mark Knoop 2013-08-01 17:22:57 UTC
Created attachment 781678 [details]
File: dso_list

Comment 5 Mark Knoop 2013-08-01 17:23:00 UTC
Created attachment 781679 [details]
File: environ

Comment 6 Mark Knoop 2013-08-01 17:23:08 UTC
Created attachment 781680 [details]
File: limits

Comment 7 Mark Knoop 2013-08-01 17:23:15 UTC
Created attachment 781681 [details]
File: maps

Comment 8 Mark Knoop 2013-08-01 17:23:23 UTC
Created attachment 781682 [details]
File: open_fds

Comment 9 Mark Knoop 2013-08-01 17:23:26 UTC
Created attachment 781683 [details]
File: proc_pid_status

Comment 10 Mark Knoop 2013-08-01 17:23:29 UTC
Created attachment 781684 [details]
File: var_log_messages

Comment 11 Michael Schwendt 2013-08-01 17:41:26 UTC
There must be a longer story, because the plugin is linked with libpython already,

  $ rpm -qR claws-mail-plugins-python|grep py
  libpython2.7.so.1.0()(64bit)

but it dlopen()'s the shared lib with its shortname, too:

   125  void
   126  parasite_python_init(void)

   136      /* This prevents errors such as "undefined symbol: PyExc_ImportError
" */
   137      if (!dlopen(PYTHON_SHARED_LIB, RTLD_NOW | RTLD_GLOBAL))
   138      {
   139          g_error("%s\n", dlerror());
   140          return;
   141      }

I've had a look at 3.9.0, and that one did it already, too.

The package should not require the python-devel package, however, but the plug-in ought to dlopen the fully versioned libname instead.

Comment 12 Michael Schwendt 2013-08-05 09:19:58 UTC
I've added an ugly hack for this in Rawhide, since Claws Mail needed a FTBFS rebuild there anyway (bug 992061).

Alternative suggestions/ideas welcome!

Comment 13 Sergei 2013-08-17 15:54:52 UTC
I have installed claws-mail-plugins.
After that I have added all pugins using claws-mail menu...

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/claws-mail
crash_function: parasite_python_init
executable:     /usr/bin/claws-mail
kernel:         3.10.6-200.fc19.i686
package:        claws-mail-3.9.2-3.fc19
reason:         Process /usr/bin/claws-mail was killed by signal 5 (SIGTRAP)
runlevel:       N 5
uid:            1000

Comment 14 Fedora Update System 2013-08-17 18:32:11 UTC
claws-mail-3.9.2-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.9.2-7.fc19

Comment 15 Fedora Update System 2013-08-18 21:34:26 UTC
Package claws-mail-3.9.2-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.9.2-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14955/claws-mail-3.9.2-7.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2013-08-19 21:23:32 UTC
claws-mail-3.9.2-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.